ADDDEBUG(1)

NAME
adddebug - Ändrar Makefile för att lägga till avlusningsinformation

SYNOPSIS

adddebug [-k] [-r] [-n]

BESKRIVNING

adddebug ändrar Makefile i nuvarande katalog (och valfritt i dess underkataloger) för att lägga till avlusningsinformation (-g3). Det tar också bort optimering (-O[1-9]).

Verktyget är en del av KDE:s programvaruutvecklingsmiljö.

VäLJARE

-k  Behåll optimering (ta inte bort flaggan -O[1-9]? som normalt tas bort).

-r  Sök rekursivt igenom alla underkataloger till nuvarande katalog och utför åtgärden för varje Makefile som hittas.

-n  Kompilera utan att NDEBUG och NO_DEBUG är definierade (gör att anrop till kDebug fungerar).

AUTHOR
Ben Burton.